/*
 * DAVIDS lets you find and view duplicates in your Spotify playlists.
 * Copyright (C) 2016  Gabriel Augendre <gabriel@augendre.info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

'use strict';
var React = require('react');

var About = React.createClass({
    render: function () {
        return (
            <div>
                <h2>About</h2>
                <p>
                    This application allows you to find duplicates in your Spotify playlists.
                    For the moment, it does not offer to remove them for you.
                </p>
                <p>
                    The app requests access to :
                </p>
                <ul>
                    <li>
                        <strong>Your public information.</strong> I don't need this but it's here by default and I
                        can't remove it. I don't have access to your email address and I don't store any information
                        about you. I won't spam you.
                    </li>
                    <li>
                        <strong>Your private and collaborative playlists (read only).</strong> I need this to provide
                        the service on all of your playlists. Don't worry, I can't modify them and I don't store any
                        information about it.
                    </li>
                </ul>
                <h2>Source code</h2>
                <p>
                    This project is open source. You can view the source code on the <a
                    href="https://github.com/Crocmagnon/DAVIDS">GitHub repository</a>.
                </p>
                <h2>License</h2>
                <p>
                    The source code is released under the <a href="https://www.gnu.org/licenses/gpl-3.0.en.html">GNU
                    GPLv3 License</a>. This means you can use it, distribute it, modify it under the following
                    conditions :
                </p>
                <ul>
                    <li>You have to keep the copyright notices</li>
                    <li>Source code must be made available when distributing</li>
                    <li>You must distribute the modifications under the same license</li>
                    <li>You must highlight the modifications you made</li>
                    <li>You can't hold me liable</li>
                </ul>
                <p>
                    A copy of this license is included in the source code repository (see LICENSE file).
                </p>
                <h2>Contribute</h2>
                <p>
                    If you want to contribute to this project, feel free to <a
                    href="https://github.com/Crocmagnon/DAVIDS/issues">open an issue</a> or <a
                    href="https://github.com/Crocmagnon/DAVIDS/pulls">propose a pull-request</a>.
                </p>
            </div>
        );
    }
});

module.exports = About;
